跳转到主要内容
POST
/
datasets
/
{dataset_id}
/
document
/
create-by-file
Error
A valid request URL is required to generate request examples
{
  "document": {
    "id": "a8e0e5b5-78c6-4130-a5ce-25feb0e0b4ac",
    "position": 1,
    "data_source_type": "upload_file",
    "data_source_info": {
      "upload_file_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    "data_source_detail_dict": {
      "upload_file": {
        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "guide.txt",
        "size": 2048,
        "extension": "txt",
        "mime_type": "text/plain",
        "created_by": "ad313dd6-ef04-4dd1-a5b0-c0f0b9e2e7e4",
        "created_at": 1741267200
      }
    },
    "dataset_process_rule_id": "e1f2a3b4-c5d6-7890-ef12-345678901234",
    "name": "guide.txt",
    "created_from": "api",
    "created_by": "ad313dd6-ef04-4dd1-a5b0-c0f0b9e2e7e4",
    "created_at": 1741267200,
    "tokens": 0,
    "indexing_status": "indexing",
    "error": null,
    "enabled": true,
    "disabled_at": null,
    "disabled_by": null,
    "archived": false,
    "display_status": "indexing",
    "word_count": 0,
    "hit_count": 0,
    "doc_form": "text_model",
    "doc_metadata": [],
    "summary_index_status": null,
    "need_summary": false
  },
  "batch": "20250306150245647595"
}

授权

Authorization
string
header
必填

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。

路径参数

dataset_id
string<uuid>
必填

知识库 ID。

请求体

multipart/form-data
file
file
必填

要上传的文件。

data
string

包含配置信息的 JSON 字符串。接受与 从文本创建文档 相同的字段(indexing_techniquedoc_formdoc_languageprocess_ruleretrieval_modelembedding_modelembedding_model_provider),但不包括 nametext

示例:

"{\"indexing_technique\":\"high_quality\",\"doc_form\":\"text_model\",\"doc_language\":\"English\",\"process_rule\":{\"mode\":\"automatic\"}}"

响应

文档创建成功。

document
object
batch
string

用于跟踪索引进度的批次 ID。